# Etapa 1: build
FROM node:18-alpine AS build

# Define diretório de trabalho
WORKDIR /app

# Copia os arquivos do projeto
COPY . .

# Instala dependências e gera build de produção
#RUN npm install && npm run build
RUN npm install --legacy-peer-deps && npm run build


# Etapa 2: servidor Nginx
FROM nginx:alpine

# Remove configuração padrão e aplica a personalizada
RUN rm /etc/nginx/conf.d/default.conf
COPY default.conf /etc/nginx/conf.d/

# Copia os arquivos estáticos gerados pelo build
COPY --from=build /app/dist /usr/share/nginx/html

# Expõe a porta HTTP
EXPOSE 80

# Inicia o Nginx em primeiro plano
CMD ["nginx", "-g", "daemon off;"]
